List review rules

GET
/api/v1/review-rules

Authorization

bearerAuth
headerAuthorizationBearer <token>

An API key created in Capy under Settings → API.

Query parameters

repo?string
cursor?string
Match^rrule_
Length32 <= length <= 32
limit?integer
Range1 <= value <= 100

Response body

ReviewRuleList

application/json
  1. response
rules*array<>
nextCursor*|null
curl -X GET 'https://api.capy.ai/api/v1/review-rules'
{  "rules": [    {      "id": "string",      "body": "string",      "scopes": [        {          "repo": "string",          "paths": [            "string"          ],          "githubRepoId": 0,          "covered": true,          "heldByCaller": true        }      ],      "file": {        "repo": "string",        "path": "string",        "githubRepoId": 0,        "covered": true      },      "status": "active",      "source": "app",      "sourceRef": "string",      "createdByUserId": "string",      "createdByName": "string",      "firedCount": 0,      "lastFired": {        "repo": "string",        "prNumber": 0,        "at": "string"      },      "createdAt": "string",      "updatedAt": "string"    }  ],  "nextCursor": "string"}
Open in Capy